Package ghidra.pty.windows.jna

# Class ConsoleApiNative.STARTUPINFOEX.ByReference

java.lang.Object
com.sun.jna.Structure
ghidra.pty.windows.jna.ConsoleApiNative.STARTUPINFOEX
ghidra.pty.windows.jna.ConsoleApiNative.STARTUPINFOEX.ByReference

All Implemented Interfaces:
  `com.sun.jna.Structure.ByReference`

Enclosing class:
  ConsoleApiNative.STARTUPINFOEX

public static class ConsoleApiNative.STARTUPINFOEX.ByReference extends ConsoleApiNative.STARTUPINFOEX implements com.sun.jna.Structure.ByReference

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.pty.windows.jna.ConsoleApiNative.STARTUPINFOEX

  `ConsoleApiNative.STARTUPINFOEX.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `com.sun.jna.Structure.ByValue, com.sun.jna.Structure.FieldOrder, com.sun.jna.Structure.StructField`

- ## Field Summary

  ### Fields inherited from class ghidra.pty.windows.jna.ConsoleApiNative.STARTUPINFOEX

  `FIELDS, lpAttributeList, StartupInfo`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ByReference()`

- ## Method Summary

  ### Methods inherited from class ghidra.pty.windows.jna.ConsoleApiNative.STARTUPINFOEX

  `getFieldOrder`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ByReference

    public ByReference()